Bug 730049 - tortoisehg-nautilus extension doesn't work
Summary: tortoisehg-nautilus extension doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tortoisehg
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mads Kiilerich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 849255 (view as bug list)
Depends On:
Blocks: 849255
TreeView+ depends on / blocked
 
Reported: 2011-08-11 16:01 UTC by Yajo
Modified: 2012-08-31 00:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 849255 (view as bug list)
Environment:
Last Closed: 2012-08-07 17:00:53 UTC


Attachments (Terms of Use)

Description Yajo 2011-08-11 16:01:44 UTC
Description of problem: This extension is just not working.


Version-Release number of selected component (if applicable): 2.1.1-1.fc15


How reproducible: Install tortoisehg-nautilus and open Nautilus.


Actual results: Nautilus opens normally without this extension's right-click menus nor special icons on files and folders. 


Expected results: Existing Mercurial repos should show special icons on files and folders, and pressing right click should add new entries to the menu.

Comment 1 Mads Kiilerich 2011-08-11 19:16:15 UTC
You are right that nautilus-python doesn't work. An extension folder for nautilus-python has moved in Fedora 15.

You can try to fix it manually:

mv /usr/lib/nautilus/extensions-2.0/python/* /usr/lib/nautilus/extensions-3.0/python/

- but I guess it will cause nautilus to crash because of bug 720647. This issue can thus not be fixed right now.

Note however that tortoisehg primarily is a gui application that can be launched from the menu.

The nautilus integration might go away soon.

Comment 2 Yajo 2011-08-12 15:49:54 UTC
(In reply to comment #1)
> You are right that nautilus-python doesn't work. An extension folder for
> nautilus-python has moved in Fedora 15.
> 
> You can try to fix it manually:
> 
> mv /usr/lib/nautilus/extensions-2.0/python/*
> /usr/lib/nautilus/extensions-3.0/python/
> 
> - but I guess it will cause nautilus to crash because of bug 720647. This issue
> can thus not be fixed right now.

You guessed right.

> Note however that tortoisehg primarily is a gui application that can be
> launched from the menu.

I know, but this extension was really helpful.

> The nautilus integration might go away soon.

I readed it into the package's description, but I did not find any info about this in the upstream webpage.

Any clues on why is this going to happen?

Comment 3 Mads Kiilerich 2011-08-12 16:00:54 UTC
Upstream (unfortunately, IMHO) switched to qt in thg 2.x. Both because they liked qt and because they had a lot of problems with gtk. Gtk seems to have some strange issues (such as this one), and it is even worse on windows and mac which are their primary platforms.

Nautilus plugins are obviously gtk, and the nautilus integration is thus getting an odd child upstream. Upstream will not update to gtk3 and will probably not fix any bugs.

I guess the best future for the nautilus plugin would be if someone wanted to maintain it, perhaps as a separate project.

Comment 4 Yajo 2011-08-16 08:07:19 UTC
(In reply to comment #3)
> Nautilus plugins are obviously gtk, and the nautilus integration is thus
> getting an odd child upstream. Upstream will not update to gtk3 and will
> probably not fix any bugs.

Luckily it seems like this issue has been reported and it has a patch [1]. As you said, it seems to be related to GNOME 3. Maybe this one can be merged?

[1] https://bitbucket.org/tortoisehg/thg/issue/869/tortoisehg-nautilus-doesnt-work-at-all

Comment 5 Mads Kiilerich 2011-08-16 23:12:04 UTC
Let's hope upstream will clean it up and merge it.

For Fedora we are waiting for Bug 708891 anyway.

Comment 6 Yajo 2012-07-13 07:38:31 UTC
(In reply to comment #5)
> Let's hope upstream will clean it up and merge it.

Done! They accepted my pull request.

https://bitbucket.org/tortoisehg/thg/pull-request/7/fix-nautilus-extension-execution-and
https://bitbucket.org/tortoisehg/thg/changeset/ded2ecbd919f

Next upstream version will have that patch, which makes the extension work and allows building tortoisehg and tortoisehg-nautilus in noarch.

> For Fedora we are waiting for Bug 708891 anyway.

That bug should have been fixed. We are now in version nautilus-python-1.1-2.fc17.

Comment 7 Franco Bugnano 2012-08-02 13:14:07 UTC
I'm using tortoisehg-nautilus version 2.4.2-1 on Fedora 17 x86_64, and the nautilus-thg.py file gets installed in the wrong path.

The current installation path is:
/usr/lib64/nautilus/extensions-2.0/python/nautilus-thg.py

If I create a symlink in the path:
/usr/share/nautilus-python/extensions/nautilus-thg.py

then nautilus works correctly.

Well, not really, because there is still a bug that I think has already been fixed upstream, that is that I have to create the directory
~/.tortoisehg
or else tortoieshg-nautilus crashes.

Can at least the installation path be fixed at the RPM level please?

Comment 8 Yajo 2012-08-03 07:12:37 UTC
(In reply to comment #7)
> I'm using tortoisehg-nautilus version 2.4.2-1 on Fedora 17 x86_64, and the
> nautilus-thg.py file gets installed in the wrong path.
> 
> The current installation path is:
> /usr/lib64/nautilus/extensions-2.0/python/nautilus-thg.py
> 
> If I create a symlink in the path:
> /usr/share/nautilus-python/extensions/nautilus-thg.py
> 
> then nautilus works correctly.

I fixed that in the spec file upstream. However someone will have to do it into the Fedora RPM.

> 
> Well, not really, because there is still a bug that I think has already been
> fixed upstream, that is that I have to create the directory
> ~/.tortoisehg
> or else tortoieshg-nautilus crashes.

Yes, that was fixed also. Next version will work with ~/.config/TortoiseHg instead.

Comment 9 Fedora End Of Life 2012-08-07 17:00:55 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Fedora Update System 2012-08-19 17:39:36 UTC
tortoisehg-2.4.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tortoisehg-2.4.2-2.fc17

Comment 11 Mads Kiilerich 2012-08-19 17:51:53 UTC
*** Bug 849255 has been marked as a duplicate of this bug. ***

Comment 12 Fedora Update System 2012-08-21 19:36:15 UTC
tortoisehg-2.4.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/tortoisehg-2.4.3-1.fc17

Comment 13 Fedora Update System 2012-08-31 00:59:55 UTC
tortoisehg-2.4.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.